
QGIS Application - Bug report #2187

"Could not commit changes to layer..." and "duplicate key value violates..." errors when committing 

changes in postgis

2009-12-03 04:34 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12247

Description

This ticket was open after the observations made here

http://lists.osgeo.org/pipermail/qgis-developer/2009-December/008552.html

To replicate:

use the "regions" layer you can find in the spatialite sample dataset: you can save it as shapefile and import to postgis. Tested also with

other layers, like the "world borders" vector.

In qgis trunk (but not in 1.3) after merging non adjacent or non overlapping features (or features with islands) of a postgis layer, after

toggling editing to save changes, the program returns

"ERROR:  duplicate key value violates unique constraint "regions_pkey""

and after that

"Could not commit changes to layer regions

Errors: ERROR: 1 feature(s) not added.

SUCCESS: 2 feature(s) deleted."

If the same is done on a spatialite layer only the latter message is shown (again, only in trunk, not in 1.3).

History

#1 - 2009-12-03 09:31 AM - Giovanni Manghi

meanwhile the problem seems to have been solved in spatialite, not yet in postgis

#2 - 2009-12-12 06:04 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

#3 - 2009-12-12 06:05 AM - Giovanni Manghi

probably fixed by commit:58c68efc (SVN r12419)

2025-04-27 1/1

http://lists.osgeo.org/pipermail/qgis-developer/2009-December/008552.html

